//
//  GXNewsListModel.h
//  DFTTDemo
//
//  Created by 路鹏 on 2016/12/26.
//  Copyright © 2016年 高欣研究院. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <AVFoundation/AVFoundation.h>
//#import "TTCmtModel.h"
#import "TTNSCodingModel.h"

@interface TTNewsListModel : TTNSCodingModel

@property (nonatomic, copy) NSString *istuji;                   //是否是图集
@property (nonatomic, copy) NSString *video_link;               //视频链接
@property (nonatomic, copy) NSString *hiddendate;               //是否需要隐藏时间标签
@property (nonatomic, copy) NSString *urlfrom;                  //新闻爬取来源
@property (nonatomic, copy) NSString *issptopic;                //是否是专题
//@property (nonatomic, copy) NSString *colType;
@property (nonatomic, copy) NSString *url;                      //当前新闻的链接
@property (nonatomic, copy) NSString *tramplecnt;               //点踩数量
@property (nonatomic, copy) NSString *adv_id;                   //广告id
@property (nonatomic, strong) NSArray *miniimg;                 //缩略图新闻数据
@property (nonatomic, copy) NSString *recommendurl;
@property (nonatomic, copy) NSString *recommendtype;            //推荐新闻类别（-1：不是推荐新闻；a：a类别推荐....）
@property (nonatomic, copy) NSString *type;                     //当前新闻的类别
@property (nonatomic, copy) NSString *isadv;                    //是否是推广（广告）
@property (nonatomic, copy) NSString *isdownload;               //是否是下载类广告
@property (nonatomic, copy) NSString *position;                 //位置
@property (nonatomic, copy) NSString *adidx;                    //广告位置（在信息流中具体放在第几个）
@property (nonatomic, copy) NSString *videonews;                //是否是视频新闻
//@property (nonatomic, copy) NSString *iswkd;
@property (nonatomic, copy) NSString *picnums;                  //正文图片数量
@property (nonatomic, copy) NSString *source;                   //新闻来源
@property (nonatomic, copy) NSString *isJian;                   //是否是推荐
@property (nonatomic, copy) NSString *comment_count;            //评论数量
@property (nonatomic, copy) NSString *date;                     //新闻日期
@property (nonatomic, copy) NSString *newsidx;                  //新闻在当前屏位置
//@property (nonatomic, copy) NSString *dapPaiKey;
@property (nonatomic, strong) NSArray *kwds;                    //关键词
@property (nonatomic, copy) NSString *isnxw;                    //是否是暖新闻
@property (nonatomic, copy) NSString *miniimg_size;             //缩略图数量
@property (nonatomic, copy) NSString *preload;                  //预加载字段
@property (nonatomic, copy) NSString *rowkey;                   //当前新闻的唯一标示符
/**
 用于区分新闻是否有标签
 1：是否是置顶 2：是否是热门 3：是否是推荐 4：是否是专题 5：是否是视频 6：是否是原创 7：是否是广告 8：是否是暖文
 示例：从右到左，不要规定死位置长度，说不定有9位
 00000000表示无标签
 10000000表示软文
 01000001表示置顶+广告
 01000011表示置顶+热门+广告
 */
@property (nonatomic, copy) NSString *titledisplay;
@property (nonatomic, copy) NSString *topic;                    //当前新闻的主题
@property (nonatomic, copy) NSString *pageidx;                  //新闻所在页数
@property (nonatomic, copy) NSString *videoalltime;             //视频新闻时长
@property (nonatomic, copy) NSString *urlpv;                    //新闻访问pv
@property (nonatomic, copy) NSString *hotnews;                  //是否是热点新闻
@property (nonatomic, copy) NSString *praisecnt;                //点赞个数
@property (nonatomic, copy) NSString *ispicnews;                //是否是大图新闻
@property (nonatomic, strong) NSArray *lbimg;                   //大图新闻数据
@property (nonatomic, copy) NSString *subtype;                  //当前新闻的副类别
@property (nonatomic, copy) NSString *bigpic;                   //是否是大图新闻
@property (nonatomic, copy) NSString *isrecom;                  //是否是推荐新闻
//@property (nonatomic, copy) NSString *newsColName;
@property (nonatomic, copy) NSString *isvideo;                  //是否是视频新闻
@property (nonatomic, copy) NSString *suptop;                   //置顶新闻：0001；强制置顶：1001
@property (nonatomic, copy) NSString *isdsp;                    //是否是dsp广告(1表示dsp , 0表示广告联盟)
@property (nonatomic, copy) NSString *cachetime;                //非dsp广告缓存时间(单位 : 分钟)
@property (nonatomic, copy) NSString *cacheCreatetime;           //非dsp广告创建时间(单位 : 分钟)
@property (nonatomic, copy) NSString *reporturl;                //上报url(将clickrep、showrep中上报地址用\t拼接 , key=reporturl)
@property (nonatomic, strong) NSArray *clickrep;                 //点击上报地址(数组中的地址逐一上报, dsp执行以前的上报接口)
@property (nonatomic, strong) NSArray *showrep;                  //展现上报地址(数组中的地址逐一上报, dsp执行以前的上报接口)

@property (nonatomic, strong) NSArray * inviewrep;               //广告展现上报，列表滑到广告位是上报
@property (nonatomic, copy) NSString *isclientreport;                //是否是客户端上报(1是, 0否)如果字段值为1,表示这个广告需要由客户端上报.上报字段包含((reporturl ?上报参数) && (clickrep || showrep))如果字段值为0,表示这个广告需要由服务器上报.上报字段包含((clickrep=reporturl ?上报参数) || (showrep=reporturl ?上报参数))

@property (nonatomic, copy) NSString *adtype;                   //0：普通广告 1:视频广告
@property (nonatomic, copy) NSString *appstoreid;                   //IOS下载类广告appstoreid[针对ios下载类广告]

//@property (nonatomic, copy) NSString *superUrl;                 //父页面的URL
//@property (nonatomic, copy) NSString *superType;                //父页面的类型
@property (nonatomic, copy) NSString *urlFrom;                       //统计用

@property (nonatomic, assign) BOOL isSpecialInside;              //是否在专题内页

@property (nonatomic, assign) BOOL isVideoInside;              //是否在视频内页

@property (nonatomic, assign) BOOL isRefresh;                   //是否是刷新

@property (nonatomic, assign) BOOL isDetail;                    //是否在内页

@property (nonatomic, assign) BOOL needAdvUpload;               //是否需要上传广告日志

@property (nonatomic, assign) BOOL isNewsListImgSet;            //是否是新闻列表图集cell

@property (nonatomic, assign) BOOL isVideoCell;            //视频评论按钮点击使用

//@property (nonatomic, strong) TTCmtModel *cmtModel;                  //评论model
@property (nonatomic, strong) NSArray *cmtModelArr;                  //评论model

@property (nonatomic, copy) NSString *ispush;                  //是否是推送
@property (nonatomic, copy) NSString *pushts;                  //推送使用
@property (nonatomic, copy) NSString *pushlabel;                  //推送使用
@property (nonatomic, copy) NSString *pushTitle;                  //推送标题
@property (nonatomic, copy) NSString *pushContent;                  //推送内容
@property (nonatomic, copy) NSString *push_type;                  //推送类型


@property (nonatomic, strong) AVAsset *asset;
@property (nonatomic, assign) CGFloat progress;


@property (nonatomic, assign) CGFloat calculateCellHeight;
@property (nonatomic, assign) CGFloat cellHeight;


//@property (nonatomic, strong) NSArray * insideAds; //内部广告
- (instancetype)initWithDic:(NSDictionary *)dictionary;

@property (nonatomic, copy) NSString * showtime; //广告显示时间

@property (nonatomic, copy) NSString * newsType; //新闻类型 如头条
///新闻信息所在页的序号
@property (nonatomic, readonly) TTNewsListViewCellPushViewType pushType;

/**
 titledisplay二进制字符串转整型
 */
@property (nonatomic, assign) NSInteger titledisplaynumber;

@property (nonatomic, assign) BOOL isRead; //该条新闻是否被阅读过

@property (nonatomic, strong) NSString * isshowadvlabel;

@property (nonatomic, strong) NSString * isfilterclickrep; //点击是否排重

@property (nonatomic, assign) BOOL hasReportClicked; //是否点击上报过

@property (nonatomic, strong) NSString * accurateurl;

@property (nonatomic, strong) NSDictionary * logoimg;
    
//上报批次的id
@property (nonatomic, strong) NSString * batchid;

//上报新闻在批次的顺序
@property (nonatomic, assign) NSInteger batcheidx;
    
@property (nonatomic, assign) BOOL newsHasReport;
@end
