//
//  TTVideocfg.h
//  DFTTFramework
//
//  Created by 路鹏 on 2017/4/19.
//  Copyright © 2017年 路鹏. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface TTVideocfg : NSObject
#pragma mark - --------------------------------新闻列表配置信息--------------------------------
/** 内页加载方式
 */
@property (nonatomic, assign) TTnewsLoadType newsDetailLoadStyle;

/** 新闻列表是否可以滑动，默认打开
 */
@property (nonatomic, assign) BOOL isScroll;

/** 列表容量scrollView背景颜色
 */
@property (nonatomic, strong) UIColor *listContentScrollBgColor;

/** 新闻tableview背景颜色(默认透明)
 */
@property(nonatomic, strong)UIColor *newsTableBgColor;




#pragma mark - --------------------------------分类栏配置信息--------------------------------
/** 分类栏是否显示返回按钮
 */
@property (nonatomic, assign) BOOL isShowSortBack;

/** 列表返回按钮图片
 */
@property (nonatomic, strong) UIImage *listBackBtnImg;

/** 列表返回按钮背景颜色（默认透明）
 */
@property (nonatomic, strong) UIColor *listBackBtnBgColor;

/** 列表加号按钮背景颜色（默认透明）
 */
@property (nonatomic, strong) UIColor *listAddBtnBgColor;

/** 分类栏高度
 */
@property(nonatomic, assign)CGFloat categoryHeight;

/** 分类栏背景颜色
 */
@property(nonatomic, strong)UIColor *categoryBgColor;

/** 选中的分类标题字体颜色
 */
@property(nonatomic, strong)UIColor *categoryChoosedColor;

/** 未选中的分类标题字体颜色
 */
@property(nonatomic, strong)UIColor *categoryNormalColor;

/** 分类栏中的字体大小
 */
@property(nonatomic, assign)CGFloat categoryFont;

/** 分类栏中的字体间距，值为文字左右两边的间距，例如为10就是左边离文字留10像素右边离文字10像素文字间距总和为20像素。默认是10像素
 */
@property(nonatomic, assign)CGFloat categoryLineWidth;

/** 更多分类字体颜色
 */
@property(nonatomic, strong)UIColor *categoryMoreTitleColor;

/** 更多分类字体大小
 */
@property(nonatomic, assign)CGFloat categoryMoreTitleFont;

#pragma mark - --------------------------------加载状态配置信息--------------------------------
/** 网络加载失败图片
 */
@property(nonatomic, strong) UIImage *netBadImage;

/** 网络加载失败文字
 */
@property(nonatomic, copy) NSString *netBadStr;


/** 列表网络失败提示文字
 */
@property (nonatomic, copy) NSString *listNetBadStr;

/** 网络加载中图片数组
 */
@property (nonatomic, strong) NSArray *loadImageArr;



#pragma mark - --------------------------------刷新控件配置信息--------------------------------
/** 下拉刷新是否开启下拉一定高度返回首页，默认关闭
 */
@property (nonatomic, assign) BOOL refreshBack;

/** 下拉多少高度变成返回首页,默认-130
 */
@property (nonatomic, assign) CGFloat refreshBackHeight;

/** 下拉刷新图片数组,存放image对象
 */
@property (nonatomic, strong) NSArray *refreshImageArr;

/** 下拉返回首页图片
 */
@property (nonatomic, strong) UIImage *refreshBackImage;

/** 下拉刷新文字颜色
 */
@property (nonatomic, strong) UIColor *refreshStrColor;

/** 下拉刷新闲置状态文字
 */
@property (nonatomic, copy) NSString *refreshIdleStr;

/** 下拉刷新松开就可以进行刷新的状态文字
 */
@property (nonatomic, copy) NSString *refreshPullingStr;

/** 下拉刷新正在刷新中的状态文字
 */
@property (nonatomic, copy) NSString *refreshRefreshingStr;

/** 下拉刷新返回首页文字
 */
@property (nonatomic, copy) NSString *refreshBackStr;

/** 下拉刷新成功提示成功几条数据文字（例如头条为您推荐10条更新，只能配置10条更新之前的文字）
 */
@property (nonatomic, copy) NSString *refreshDidLoadCuekStr;

/** 下拉刷新成功提示成功几条数据文字颜色
 */
@property (nonatomic, strong) UIColor *refreshDidLoadCuekStrColor;

/** 下拉刷新成功提示成功几条数据文字背景颜色
 */
@property (nonatomic, strong) UIColor *refreshDidLoadCuekStrBgColor;

/** 上拉加载更多文字和箭头颜色
 */
@property (nonatomic, strong) UIColor *upRefreshStrAndImgColor;


//#pragma mark - --------------------------------cell配置--------------------------------
//@property (nonatomic, strong) TTNewsCellCfg *cellCfg;
@end
